package com.dayou.config;

import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import com.dayou.interceptor.DefaultPageInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.annotation.Order;

@Configuration
public class MybatisPlusConfig {
    @Bean
    @Order(Integer.MAX_VALUE - 1)
    public PaginationInterceptor paginationInterceptor() {
        DefaultPageInterceptor defaultPageInterceptor = new DefaultPageInterceptor();
        defaultPageInterceptor.setLimit(100L);
        return defaultPageInterceptor;
    }
}
