package com.dayou.mapper;

import com.dayou.entity.EqptGnEvp;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dayou.vo.EqptGnEvpVO;

import java.util.List;

/**
 * <p>
 * 通用非标准设备估价参数表 General Non-Standard Equipment Valuation Parameters Mapper 接口
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-12-02
 */
public interface EqptGnEvpMapper extends BaseMapper<EqptGnEvp> {

    /**
     * 获取通用非标准设备估价参数表
     * @return List<EqptGnEvp>
     */
    List<EqptGnEvpVO> listAll();

}
