package com.dayou.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dayou.entity.HouseGuarantyArea;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface HouseGuarantyAreaMapper extends BaseMapper<HouseGuarantyArea> {

    HouseGuarantyArea getByLngLat(@Param("lng") BigDecimal lng, @Param("lat") BigDecimal lat);

    List<HouseGuarantyArea> getAreasList(@Param("id") Long id);

    List<HouseGuarantyArea> getAreaInfo(@Param("excelId") Long excelId);
}
