package com.dayou.mapper;

import com.dayou.common.DropDownBoxData;
import com.dayou.entity.SysDictData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 字典数据表 Mapper 接口
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-12
 */
public interface SysDictDataMapper extends BaseMapper<SysDictData> {

    /**
     * 根据字典类型code获取该类型下data的下拉数据
     * @param dictCode 类型code
     * @return List<DropDownBoxData>
     */
    List<DropDownBoxData> getDropDownBoxDataByCode(@Param("dictCode") String dictCode);

}
