package com.dayou.mapper;

import com.dayou.entity.TmplAssetCalculateSection;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 资产测算表段落模板信息表 Mapper 接口
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-06
 */
public interface TmplAssetCalculateSectionMapper extends BaseMapper<TmplAssetCalculateSection> {

    /**
     * 根据测算表主模板id更新段落模板删除状态
     * @param TCId 主模板id
     * @return Boolean
     */
    Boolean updateDeleteStatusByTCId(@Param("TCId") Long TCId);

    /**
     * 根据测算表段落模板code获取段落模板信息
     * @param tmplCode 模板code
     * @return TmplAssetCalculate
     */
    TmplAssetCalculateSection getByTmplCode(@Param("tmplCode") String tmplCode);

}
