package com.dayou.bo;

import com.dayou.dto.report.equipment.EqptReportBaseInfoDTO;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class EqptReportFillBO {

    /**
     * 产品号
     */
    private String productionNo;

    /**
     * 中文日期
     */
    private String chineseReportDate;

    /**
     * 账面原值
     */
    private BigDecimal bookOriginalValue;

    /**
     * 账面净值
     */
    private BigDecimal bookNetValue;

    /**
     * 账面原值(千分位格式)
     */
    private String bookOriginalValueStr;

    /**
     * 账面净值(千分位格式)
     */
    private String bookNetValueStr;

    /**
     * 评估原值
     */
    private BigDecimal evaluateOriginalValue;

    /**
     * 评估净值
     */
    private BigDecimal evaluateNetValue;


    /**
     * 评估原值(千分位格式)
     */
    private String evaluateOriginalValueStr;

    /**
     * 评估净值(千分位格式)
     */
    private String evaluateNetValueStr;

    /**
     * 增值率
     */
    private Double netValueAddedRate;

    /**
     * 开始评估工作年月
     */
    private String startWorkMonth;

    /**
     * 委托人拼接后的字符串(多个的情况)
     */
    private String consignorCompanyName;

    /**
     * 产权持有人拼接后的字符串(多个的情况)
     */
    private String ownerCompanyName;

    private EqptReportBaseInfoDTO eqptReportBaseInfo;

}
