package com.dayou.doc.house;

import lombok.Data;

@Data
public class BaseInfoDO {

    /**
     *报告编号
     */
    private String docNo;
    /**
     *报告项目名称
     */
    private String docName;
    /**
     *委托人
     */
    private String consignor;
    /**
     *不动产权利人
     */
    private String owner;
    /**
     *估价师1
     */
    private String appraiser1;
    /**
     *估价师2
     */
    private String appraiser2;
    /**
     *估价师1注册号
     */
    private String appraNo1;
    /**
     *估价师2注册号
     */
    private String appraNo2;
    /**
     *出具报告日期
     */
    private String docDate;
    /**
     *价值时点
     */
    private String valueTiming;
    /**
     *评估方法
     */
    private String workMethod;
    /**
     *估价对象描述1
     */
    private String summary1;
    /**
     *估价对象描述2
     */
    private String summary2;

    /**
     * 致函-估价目的
     */
    private String workPurpose;

    private String excelUri;

}
