package com.dayou.dto;

import lombok.Data;

@Data
public class HousePledgeDTO {

    /**
     * 是否设置抵押权
     */
    private Boolean hasPledge;

    /**
     * 抵押权人
     */
    private String pledgeUser;

    /**
     * 抵押权类型
     */
    private String pledgeType;

    /**
     * 抵押权利价值
     */
    private String pledgeValue;

    /**
     * 同一抵押权人续贷
     */
    private Boolean samePledgeContinue;

    /**
     * 新抵押权利人
     */
    private String newPledgeUser;

    /**
     * 已设立最高额抵押权且抵押未到期
     */
    private Boolean highPledgeNotExpire;

    /**
     * 已设立抵押权现拟设立最高额抵押权同一抵押权人
     */
    private Boolean samePledgeHigh;

    /**
     * 其他法定优先受偿款
     */
    private String firstMoney;

    /**
     * 拖欠工程款
     */
    private String debtMoney;

    /**
     * 是否扣除法定优先受偿款
     */
    private Boolean isTakeOutFirstMoney;
}
