package com.dayou.dto;

import com.dayou.entity.CertificateFixedAssets;
import com.dayou.entity.CertificateHouseOwn;
import com.dayou.entity.CertificateLandUse;
import lombok.Data;

/**
 * 估价对象权益状况所需数据源
 */
@Data
public class HouseRightsDTO {

    private Long businessId;

    private String tid;

    private String tno;

    private Boolean hasPledge;

    private String pledgeType;

    private String pledgeValue;

    private String pledgeUser;

    private Boolean hasLandUseRight;

    private Boolean hasLivingRight;

    private String landUseRightFrom;

    private String landUseRightTo;

    private Boolean hasRentOutContract;

    private String useInfo;

    private Boolean isRentOut;

    private String rentUser;

    private String rentStartDate;

    private String rentEndDate;

    private String rentMoney;

    private Integer certType;

    private CertificateFixedAssets assetsCert;

    private CertificateHouseOwn houseOwnCert;

    private CertificateLandUse landUseCert;

}
