package com.dayou.dto.calculate.equipment;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * 机器设备-基础信息
 */
@Data
public class EqptCalculateBaseInfoDTO {

    /**
     * 评估基准日
     */
    private LocalDate valuationBasisDate;

    /**
     * 工期
     */
    @ExcelProperty("工期")
    private Double constructionPeriod;

    /**
     * 利息
     */
    @ExcelProperty("利息")
    private Double interest;

    /**
     * 前期费用率
     */
    @ExcelProperty("前期费用率")
    private Double preConstructionCostRatio;

    /**
     * 建设单位管理费率
     */
    @ExcelProperty("建设单位管理费率")
    private Double managementExpenseRatio;

}
