package com.dayou.entity;
import com.dayou.common.BaseEntity;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 资产项目基本信息表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AssetsProject extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 委托人
     */
    private String principal;

    /**
     * 项目类型id(字典表)
     */
    private Long projectTypeId;

    /**
     * 创建项目user_id
     */
    private Long createUserId;


}
