package com.dayou.entity;

import com.dayou.annotation.WordTableColumn;
import com.dayou.common.BaseEntity;
import lombok.Data;

@Data
public class CertificateFixedAssets extends BaseEntity {

    private String businessType;
    private Long businessId;
    private String tid;
    private String tno;
    @WordTableColumn(name = "不动产权证书号")
    private String certificateNo;

    @WordTableColumn(name = "权利人")
    private String ownShipUser;

    @WordTableColumn(name = "共有情况")
    private String ownShipInfo;

    @WordTableColumn(name = "坐落")
    private String location;

    @WordTableColumn(name = "不动产单元号")
    private String unitNo;

    @WordTableColumn(name = "权利类型")
    private String ownShipType;

    @WordTableColumn(name = "权利性质")
    private String ownShipNature;

    @WordTableColumn(name = "用途")
    private String useTo;

    @WordTableColumn(name = "面积")
    private String acreageDesc;

    @WordTableColumn(name = "使用期限")
    private String expireDateDesc;

    @WordTableColumn(name = "其他权利状况")
    private String ownShipOtherInfo;

    @WordTableColumn(name = "附记")
    private String attachInfo;

    private String landAcreage;

    private Long createUserId;

}
