package com.dayou.entity;

import com.dayou.annotation.WordTableColumn;
import com.dayou.common.BaseEntity;
import lombok.Data;

@Data
public class CertificateHouseOwn extends BaseEntity {

    private String businessType;
    private Long businessId;
    private String tid;
    private String tno;
    private Boolean isNew;
    @WordTableColumn(name = "房屋所有权证号")
    private String certificateNo;

    @WordTableColumn(name = "房屋所有权人")
    private String ownShipUser;

    @WordTableColumn(name = "共有情况")
    private String ownShipInfo;

    @WordTableColumn(name = "房屋坐落")
    private String location;

    @WordTableColumn(name = "登记日期")
    private String registerDate;

    private String houseNature;

    @WordTableColumn(name = "用途")
    private String useTo;

    @WordTableColumn(name = "总层数")
    private String allFloor;

    @WordTableColumn(name = "建筑面积（㎡）")
    private String acreage;

    @WordTableColumn(name = "套内建筑面积（㎡）")
    private String innerAcreage;

    @WordTableColumn(name = "附记")
    private String attachInfo;
    private String areaNo;

    private String ownShipType;
    private String buildingNo;
    private String houseNo;
    private String structure;
    private String atFloor;
    private Long createUserId;

}
