package com.dayou.entity;

import com.dayou.annotation.WordTableColumn;
import com.dayou.common.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CertificateLandUse extends BaseEntity {

    private String businessType;
    private Long businessId;
    private String tid;
    private String tno;
    private Boolean isNew;

    @WordTableColumn(name = "国有土地使用证号")
    private String certificateNo;

    @WordTableColumn(name = "土地使用权人")
    private String landUseUser;

    @WordTableColumn(name = "座落")
    private String location;

    @WordTableColumn(name = "地号")
    private String landNo;
    private String imageNo;

    @WordTableColumn(name = "地类（用途）")
    private String useTo;
    private String takePrice;

    @WordTableColumn(name = "使用权类型")
    private String useType;

    @WordTableColumn(name = "终止日期")
    private String expireDate;

    @WordTableColumn(name = "使用权面积（㎡）")
    private String acreage;

    @WordTableColumn(name = "其中分摊面积（㎡）")
    private String outterAcreage;
    private String attachInfo;
    private String landLevel;
    private Long createUserId;
}
