package com.dayou.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import com.dayou.dto.RoadDTO;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class HouseGuarantyArea extends BaseEntity {

    private Long excelId;

    private String tid;

    private BigDecimal lng;

    private BigDecimal lat;

    private String location;

    private List<RoadDTO> road;

    private List<String> publicTransport;

    private List<String> park;

    private List<String> business;

    private List<String> community;

    private List<String> education;

    private List<String> hospital;

    private List<String> bank;

    private List<String> hotel;

    private List<String> spot;

    private String docContent;

    @TableField(exist = false)
    private String atFloor;

    @TableField(exist = false)
    private String floor;

    @TableField(exist = false)
    private String actAddress;

    @TableField(exist = false)
    private String road1;

    @TableField(exist = false)
    private String publicTransport1;

    @TableField(exist = false)
    private String park1;

    @TableField(exist = false)
    private String business1;

    @TableField(exist = false)
    private String community1;

    @TableField(exist = false)
    private String education1;

    @TableField(exist = false)
    private String hospital1;

    @TableField(exist = false)
    private String bank1;

    @TableField(exist = false)
    private String hotel1;

    @TableField(exist = false)
    private String spot1;
}
