package com.dayou.entity;
import com.dayou.common.BaseEntity;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 资产测算表段落模板信息表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class TmplAssetCalculateSection extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 测算表模板id
     */
    private Long templateCalculateId;

    /**
     * 测算表段落模板名称
     */
    private String sectionName;

    /**
     * 段落模板文件名字
     */
    private String sectionFileName;

    /**
     * 段落模板文件存储位置
     */
    private String sectionFileUrl;

    /**
     * 模板code
     */
    private String tmplCode;


}
