package com.dayou.entity;
import com.dayou.common.BaseEntity;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 资产报告模板信息表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-12-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class TmplAssetReport extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 报告名字
     */
    private String reportName;

    /**
     * 模板文件名字
     */
    private String fileName;

    /**
     * 模板文件存储位置
     */
    private String fileUrl;

    /**
     * 报告类型
     */
    private String reportType;

    /**
     * 二级报告类型(针对细分情况)
     */
    private String reportSecType;

    /**
     * 是否有段落模板
     */
    private Boolean hasSection;

    /**
     * 模板code
     */
    private String tmplCode;


}
