package com.dayou.enums;


import lombok.Getter;

@Getter
public enum DocumentType {

    REPORT("REPORT","一般报告"),

    LETTER("LETTER", "复评函"),

    STATEMENT("STATEMENT", "意见书"),

    CALCULATE_TABLE("CALCULATE_TABLE","测算表"),

    FOLDER("FOLDER","文件夹"),

    EQPT_CALCULATE("EQPT_CALCULATE","机器设备测算表"),

    EQPT_REPORT("EQPT_REPORT","机器设备融资报告"),

    CR_CALCULATE("CR_CALCULATE","债权测算表"),

    CR_REPORT("CR_REPORT","债权分析报告")
    ;

    private String name;

    private String zhName;

    DocumentType(String name, String zhName) {
        this.name = name;
        this.zhName = zhName;
    }

}
