package com.dayou.vo;

import lombok.Data;

import java.util.Date;

@Data
public class AssetsReportVO {

    /**
     * 主键自增id
     */
    protected Long id;

    /**
     * 资产项目id
     */
    private Long projectId;

    /**
     * 报告名
     */
    private String reportName;

    /**
     * 委托人
     */
    private String principal;

    /**
     * 项目类型
     */
    private String projectTypeName;

    /**
     * 基础报告信息
     */
    private String baseInfo;

    /**
     * 报告创建者user_id
     */
    private Long createUserId;

    /**
     * 报告生成进度(BASE、GENERATE、FINISHED)
     */
    private String progress;

    /**
     * 关联的测算表id
     */
    private Long calculateId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 文档名称
     */
    private String docName;

    /**
     * 文档路径
     */
    private String docUrl;

}
