package com.dayou.vo;

import lombok.Data;


@Data
public class HouseGuarantyBaseVO {

    /**
     * id
     */
    private Long id;

    /**
     * 房地产业务
     */
    private String businessType;

    /**
     * 估价项目名称
     */
    private String docName;

    /**
     * 报告号
     */
    private String docNo;

    /**
     * 委托人
     */
    private String consignor;

    /**
     *不动产权利人
     */
    private String owner;
    /**
     *估价师1
     */
    private String appraiser1;
    /**
     *估价师2
     */
    private String appraiser2;
    /**
     *估价师1注册号
     */
    private String appraNo1;
    /**
     *估价师2注册号
     */
    private String appraNo2;

    /**
     *出具报告日期
     */
    private String docDate;
    /**
     *价值时点
     */
    private String valueTiming;
    /**
     *评估方法
     */
    private String workMethod;

    /**
     *原始EXCEL资源路径
     */
    private String excelUri;

}
