package com.dayou.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.dayou.entity.TmplAssetCalculateSection;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class TmplAssetCalculateDetailVO {

    /**
     * 主键id
     */
    protected Long id;

    /**
     * 测算表名字
     */
    private String calculateName;

    /**
     * 模板文件名字
     */
    private String fileName;

    /**
     * 模板文件存储位置
     */
    private String fileUrl;

    /**
     * 测算类型
     */
    private String calculateType;


    /**
     * 是否有段落模板
     */
    private Boolean hasSection;

    /**
     * 模板code
     */
    private String tmplCode;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 段落模板信息
     */
    List<TmplAssetCalculateSection> sectionList;

}
