package com.dayou.vo;

import com.dayou.entity.TmplAssetReportSection;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class TmplAssetReportDetailVO {

    /**
     * 主键id
     */
    protected Long id;

    /**
     * 测算表名字
     */
    private String reportName;

    /**
     * 模板文件名字
     */
    private String fileName;

    /**
     * 模板文件存储位置
     */
    private String fileUrl;

    /**
     * 测算类型
     */
    private String reportType;


    /**
     * 是否有段落模板
     */
    private Boolean hasSection;

    /**
     * 模板code
     */
    private String tmplCode;

    /**
     * 最后更新时间
     */
    private Date updateTime;

    /**
     * 段落模板信息
     */
    List<TmplAssetReportSection> sectionList;

}
