package com.dayou.vo.calculate;

import lombok.Data;

import java.time.LocalDate;

/**
 * 测算表进度信息
 */
@Data
public class AssetsCalculateProgressVO {

    /**
     * 测算表id
     */
    private Long id;

    /**
     * 资产项目id
     */
    private Long projectId;

    /**
     * 测算名
     */
    private String calculateName;

    /**
     * 测算表生成进度(BASE、IMPORT、GENERATE、FINISHED)
     */
    private String progress;

    /**
     * 评估基准日
     */
    private LocalDate valuationBasisDate;

}
