package com.dayou.vo.report;

import lombok.Data;

/**
 * 测算表进度信息
 */
@Data
public class AssetsReportProgressVO {

    /**
     * 测算表id
     */
    private Long id;

    /**
     * 资产项目id
     */
    private Long projectId;

    /**
     * 报告名
     */
    private String reportName;

    /**
     * 测算表生成进度(BASE、GENERATE、FINISHED)
     */
    private String progress;

    /**
     * 关联的测算表id
     */
    private Long calculateId;

    /**
     * 报告号（产品号）
     */
    private String productionNo;
}
