package com.dayou.service;

import com.dayou.entity.EqptGnEvp;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dayou.vo.EqptGnEvpVO;

import java.util.List;

/**
 * <p>
 * 通用非标准设备估价参数表 General Non-Standard Equipment Valuation Parameters 服务类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-12-02
 */
public interface EqptGnEvpService extends IService<EqptGnEvp> {

    /**
     * 获取通用非标准设备估价参数表
     * @return List<EqptGnEvp>
     */
    List<EqptGnEvpVO> listAll();

}
