package com.dayou.service;
import com.dayou.common.DropDownBoxData;
import com.dayou.entity.SysDictData;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * <p>
 * 字典数据表 服务类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-12
 */
public interface SysDictDataService extends IService<SysDictData> {

        Page<SysDictData> selectPage(Page page,SysDictData sysDictData);

        SysDictData detail(Long id);

        Boolean add(SysDictData sysDictData);

        Boolean update(SysDictData sysDictData);

        Boolean delete(Long id);

        /**
         * 根据字典类型code获取该类型下data的下拉数据
         * @param dictCode 类型code
         * @return List<DropDownBoxData>
         */
        List<DropDownBoxData> getDropDownBoxDataByCode(String dictCode);

}
