package com.dayou.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.entity.CertificateFixedAssets;
import com.dayou.mapper.CertificateFixedAssetsMapper;
import com.dayou.service.CertificateFixedAssetsService;
import com.dayou.service.HouseGuarantyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class CertificateFixedAssetsServiceImpl extends ServiceImpl<CertificateFixedAssetsMapper, CertificateFixedAssets> implements CertificateFixedAssetsService {


    @Override
    public Boolean add(CertificateFixedAssets certificateFixedAssets) {
        return this.saveOrUpdate(certificateFixedAssets);
    }

    @Override
    public List<CertificateFixedAssets> getByBusinessIdAndTargetId(Long businessId, String targetId) {
        return this.list(new LambdaQueryWrapper<CertificateFixedAssets>().eq(CertificateFixedAssets::getBusinessId,businessId)
                .eq(CertificateFixedAssets::getTid,targetId));
    }
}
