package com.dayou.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.entity.CertificateHouseOwn;
import com.dayou.mapper.CertificateHouseOwnMapper;
import com.dayou.service.CertificateHouseOwnService;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class CertificateHouseOwnServiceImpl extends ServiceImpl<CertificateHouseOwnMapper, CertificateHouseOwn> implements CertificateHouseOwnService {


    @Override
    public Boolean add(CertificateHouseOwn certificateHouseOwn) {
        return this.saveOrUpdate(certificateHouseOwn);
    }

    @Override
    public List<CertificateHouseOwn> getByBusinessIdAndTargetId(Long businessId, String targetId) {
        return this.list(new LambdaQueryWrapper<CertificateHouseOwn>().eq(CertificateHouseOwn::getBusinessId,businessId)
                .eq(CertificateHouseOwn::getTid,targetId));
    }
}
