package com.dayou.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.entity.CertificateFixedAssets;
import com.dayou.entity.CertificateLandUse;
import com.dayou.mapper.CertificateFixedAssetsMapper;
import com.dayou.mapper.CertificateLandUseMapper;
import com.dayou.service.CertificateFixedAssetsService;
import com.dayou.service.CertificateLandUseService;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class CertificateLandUseServiceImpl extends ServiceImpl<CertificateLandUseMapper, CertificateLandUse> implements CertificateLandUseService {

    @Override
    public Boolean add(CertificateLandUse certificateLandUse) {
        return this.saveOrUpdate(certificateLandUse);
    }

    @Override
    public List<CertificateLandUse> getByBusinessIdAndTargetId(Long businessId, String targetId) {
        return this.list(new LambdaQueryWrapper<CertificateLandUse>().eq(CertificateLandUse::getBusinessId,businessId)
                .eq(CertificateLandUse::getTid,targetId));
    }
}
