package com.dayou.service.impl;

import com.dayou.entity.TmplAssetCalculateSection;
import com.dayou.mapper.TmplAssetCalculateSectionMapper;
import com.dayou.service.TmplAssetCalculateSectionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 资产测算表段落模板信息表 服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-06
 */
@Service
public class TmplAssetCalculateSectionServiceImpl extends ServiceImpl<TmplAssetCalculateSectionMapper, TmplAssetCalculateSection> implements TmplAssetCalculateSectionService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<TmplAssetCalculateSection> selectPage(Page page,TmplAssetCalculateSection tmplAssetCalculateSection){
        return this.page(page, new QueryWrapper<TmplAssetCalculateSection>(tmplAssetCalculateSection));
    }


    @Override
    public TmplAssetCalculateSection detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(TmplAssetCalculateSection tmplAssetCalculateSection){
        return  this.save(tmplAssetCalculateSection);
    }

    @Override
    public Boolean update(TmplAssetCalculateSection tmplAssetCalculateSection){
        return  this.updateById(tmplAssetCalculateSection);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }

    @Override
    public TmplAssetCalculateSection getTmplByCode(String code) {
        return baseMapper.getByTmplCode(code);
    }
}
