package com.dayou.service.impl;

import com.dayou.entity.TmplAssetReportSection;
import com.dayou.mapper.TmplAssetReportSectionMapper;
import com.dayou.service.TmplAssetReportSectionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 资产报告模板的段落模板信息表 服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-12-05
 */
@Service
public class TmplAssetReportSectionServiceImpl extends ServiceImpl<TmplAssetReportSectionMapper, TmplAssetReportSection> implements TmplAssetReportSectionService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<TmplAssetReportSection> selectPage(Page page,TmplAssetReportSection tmplAssetReportSection){
        return this.page(page, new QueryWrapper<TmplAssetReportSection>(tmplAssetReportSection));
    }


    @Override
    public TmplAssetReportSection detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(TmplAssetReportSection tmplAssetReportSection){
        return  this.save(tmplAssetReportSection);
    }

    @Override
    public Boolean update(TmplAssetReportSection tmplAssetReportSection){
        return  this.updateById(tmplAssetReportSection);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }
}
