package com.dayou;

import cn.hutool.json.JSON;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.dayou.dto.Address;
import com.dayou.utils.AddressUtil;
import com.dayou.utils.CollectionUtil;

import java.util.*;
import java.util.function.Function;
import java.util.stream.Collectors;

import static com.dayou.enums.HouseTargetTableColumn.LOCATION;

public class AddressParser {

//    public static void main(String[] args) {
//        String[] addresses = {
////                "成都市武侯区双凤五路412号1栋2单元3层",
////                "西安市未央区史蒂五路22号12栋33单元13层",
////                "成都市青羊区双凤三路412号1栋2单元4层",
////                "成都市武侯区双凤三路42号1栋2单元4层",
////                "武侯区双凤五路412号1层",
////                "武侯区双凤五路450号1层",
////                "武侯区双凤五路470号1层",
////                "武侯区金江路216号1层",
////                "武侯区武兴路989号2层",
////                "都江堰市玉堂镇青城水街北段255号1栋1单元1层1号",
////                "都江堰市玉堂镇青城水街北段255号1栋1单元1层2号",
////                "都江堰市玉堂镇青城水街北段255号1栋1单元1层3号",
////                "高新区高棚东路18号1幢",
////                "高新区新乐中街280号1栋-1层局部（共计142套）",
////                "青羊区草堂路3号6栋1-3楼B1号",
////                "武侯区晋阳街道晋阳村领秀别墅1栋1-3楼1号",
//                "武侯区人民南路四段21号3栋3单元5层03号",
//                "武侯区人民南路四段21号3栋3单元7层03号",
//                "青羊区人民南路四段21号3栋3单元7层03号",
////                "武侯区双凤五路412号1层",
////                "武侯区双凤五路450号1层",
////                "武侯区双凤五路470号1层",
////                "武侯区金江路216号1层",
////                "青羊区武兴路989号2层",
////                "都江堰市玉堂镇青城水街北段255号",
////                "都江堰市玉堂镇青城水街北段257号",
////                "都江堰市玉堂镇青城水街北段259号",
//////                "南充市阆中市缓缓路23号"
////                "武侯区双凤五路412号1层",
////                "武侯区双凤五路450号1层",
////                "武侯区双凤五路470号1层",
////                "武侯区金江路216号1层",
////                "武侯区武兴路989号2层"
////                "武侯区人民南路四段",
////                "武侯区晋阳街道晋阳村",
////                "高新区新乐中街",
////                "高新区高棚东路",
////                "青羊区草堂路"
////                "成都市武侯区",
////                "成都市青羊区",
////                "成都市成华区",
////                "成都市双流区",
////                "成都市新都区",
////                "成都市都江堰市"
//        };
//        List<String> list = Arrays.asList(addresses);
//        try {
//            List<Address> lists = new ArrayList<>();
//            for (String address : list) {
//                lists.add(AddressUtil.parseAddress(address));
//            }
//            Map<List<Object>, List<Address>> collect = lists.stream().collect(Collectors.groupingBy(compositeKey, Collectors.toList()));
//
//            if (collect.size()>5){
//                AddressUtil.ignoreToRoad(lists);
//            }
//            String s ;
//            if (lists.size()>8){
//                lists = lists.subList(0, 8);
//                s = CollectionUtil.formatSplitAndRemoveMiddle(mergeAddress(lists)) + "等" + lists.size() + "处";
//            }else {
//                s = CollectionUtil.formatSplitAndRemoveMiddle(mergeAddress(lists)) + "，共计"+ lists.size() + "处";
//            }
//            System.out.println(s);
//
//        }catch (Exception e){
//            e.printStackTrace();
//        }
//
//    }
//
//    static Function<Address, List<Object>> compositeKey = address ->
//            Arrays.asList(address.getProvince(), address.getCity(), address.getDistrict(), address.getTown(),
//                    address.getCommunity(), address.getRoad());

}
