package com.dayou.auth;

public enum RoleEnum {

    ADMIN("ADMIN", "管理员"),
    USER("USER", "普通用户");

    private String code;

    private String name;

    RoleEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return name + ":" + code;
    }

}
