package com.dayou.auth;

import cn.dev33.satoken.stp.StpInterface;
import cn.dev33.satoken.stp.StpUtil;
import com.dayou.auth.extra.LoginUserInfo;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component
public class StpInterfaceImpl implements StpInterface {

    /**
     * 暂时用不上
     */
    @Override
    public List<String> getPermissionList(Object loginId, String loginType) {
        // TODO:有需要校验权限时在这里添加
        return null;
    }

    /**
     * 返回一个账号所拥有的角色标识集合 (权限与角色可分开校验)
     */
    @Override
    public List<String> getRoleList(Object loginId, String loginType) {
        // 从登录信息中获取用户信息
        LoginUserInfo loginUserInfo = (LoginUserInfo) StpUtil.getSession().get((String) loginId);
        List<String> roleList = new ArrayList<String>();
        // 如果账号是ADMIN,那么拥有所有角色
        if (loginUserInfo.getRole().equals(RoleEnum.ADMIN.getCode())){
            roleList.add("ADMIN");
            roleList.add("USER");
        }else {
            roleList.add("USER");
        }
        return roleList;
    }

}
