package com.dayou.auth.extra;

import lombok.Data;

@Data
public class LoginUserInfo {

    /**
     * 用户id
     */
    private Long id;

    /**
     * 用户在oa系统中的userId
     */
    private Long userOaId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 员工工号
     */
    private String staffNo;

    /**
     * token名字
     */
    private String tokenName;

    /**
     * token值
     */
    private String tokenValue;

    /**
     * 用户角色
     */
    private String role;

    /**
     * 用户的OA系统岗位名称集合
     */
    private String postNameList;

    /**
     * 用户的OA系统部门名称集合
     */
    private String departmentNameList;

}
