package com.dayou.constants;

/**
 * 房地产抵押报告常量类
 */
public class HouseGuarantyDoc {

    /**
     * 表单1
     */
    public static final String COLLECT1_XLSX = "估价对象一览表_模版.xlsx";

    /**
     * 估价结果一览表sheet转的json文件
     */
    public static final String COLLECT1_JSON = "target_table.json";

    /**
     * 估价对象json文件
     */
    public static final String TARGETS_JSON = "target.json";

    /**
     * 基本信息json文件
     */
    public static final String BASE_INFO_JSON = "baseInfo.json";

    /**
     * 估价结果一览表sheet中文名
     */
    public static final String TARGETS_TABLE_ZH = "估价结果一览表";

    /**
     * 基本信息sheet中文名
     */
    public static final String BASE_INFO_ZH = "基本信息";

    /**
     * 致委托人函模版
     */
    public static final String CONSIGNOR_LETTER_TEMPLATE = "consignor_letter.docx";

    /**
     * 估价结果一览表table word
     */
    public static final String TARGETS_DOCX = "targets_table.docx";

    /**
     * 权属信息表table word
     */
    public static final String CERT_DOCX = "certificates_table.docx";


    /**
     * 估价的假设和限制条件及使用报告说明
     */
    public static final String CONDITION_LETTER_TEMPLATE = "condition_letter.docx";

    /**
     * 房地产抵押估价结果报告
     */
    public static final String GUARANTY_RESULT_TEMPLATE = "guarantyResult.docx";

    /**
     * 是
     */
    public static final String YES = "是";

    /**
     * 否
     */
    public static final String NO = "否";

    /**
     * NULL
     */
    public static final String NULL = "null";

    /**
     * 酒店部分
     */
    public static final String HOTEL_PART = "酒店部分";

    /**
     * 《不动产权证书》
     */
    public static final String IMMOVABLE_CER = "《不动产权证书》";

    /**
     * 《房屋所有权证》
     */
    public static final String HOUSE_OWN_CER = "《房屋所有权证》";


    /**
     * 《国有土地使用证》
     */
    public static final String LAND_USE_CER = "《国有土地使用证》";

    /**
     * 未知
     */
    public static final String UNKNOWN = "【未知】";


}
