package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.AssetsProjectQueryDTO;
import com.dayou.entity.AssetsProject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dayou.vo.AssetsProjectVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 资产项目基本信息表 Mapper 接口
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-12
 */
public interface AssetsProjectMapper extends BaseMapper<AssetsProject> {

    /**
     * 获取资产项目列表
     * @param page 分页
     * @param dto 资产项目查询dto
     * @return Page<AssetsProjectVO>
     */
    Page<AssetsProjectVO> getAssetsProject(@Param("page") Page page, @Param("dto") AssetsProjectQueryDTO dto);

}
