package com.dayou.mapper;

import com.dayou.entity.User;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dayou.vo.UserVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-10-14
 */
public interface UserMapper extends BaseMapper<User> {

    /**
     * 根据id获取用户信息
     * @param id 用户id
     * @return UserVO
     */
    UserVO getUserInfoById(@Param("id") Long id);

}
