package com.dayou.dto;

import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Set;

@Data
public class OALoginDTO {

    /**
     * 用户的OA系统userId
     */
    private Long userOaId;

    /**
     * 员工工号
     */
    private String staffNo;

    /**
     * 姓名
     */
    private String name;

    /**
     * 用户的OA系统岗位名称集合
     */
    private List<String> postNameList;

    /**
     * 用户的OA系统部门名称集合
     */
    private List<String> departmentNameList;

    /**
     * 用户的OA系统最后修改用户信息的时间
     */
    private Date lastUpdateTime;

}
