package com.dayou.dto.calculate.equipment;

import lombok.Data;

import java.util.List;

@Data
public class EqptQueryDTO {

    /**
     * 测算id
     */
    private Long calculateId;

    /**
     * 序号
     */
    private Integer sortId;

    /**
     * 设备名称
     */
    private String equipmentName;

    /**
     * 设备类型
     */
    private String equipmentType;

    /**
     * 设备名称过滤条件
     */
    private List<String> eqptNameFilters;

    /**
     * 机器设备型号筛选条件
     */
    private List<String> modelFilters;

    /**
     * 机器设备购买日期筛选条件
     */
    private List<String> purchaseDateFilters;

    /**
     * 机器设备启用日期筛选条件
     */
    private List<String> activationDateFilters;

    /**
     * 机器设备生产厂家筛选条件
     */
    private List<String> manufacturerFilters;

    /**
     * 机器设备存储地点筛选条件
     */
    private List<String> storageLocationFilters;

    /**
     * 机器设备使用情况筛选条件
     */
    private List<String> usageSituationFilters;

    /**
     * 机器设备数量筛选条件
     */
    private List<String> quantityFilters;

    /**
     * 机器设备计量单位筛选条件
     */
    private List<String> unitOfMeasurementFilters;

    /**
     * 机器设备账面原值筛选条件
     */
    private List<String> bookOriginalValueFilters;

    /**
     * 机器设备账面净值筛选条件
     */
    private List<String> bookNetValueFilters;

    /**
     * 机器设备合同/发票含税单价筛选条件
     */
    private List<String> taxedUnitPriceFilters;

    /**
     * 机器设备购置时税率%筛选条件
     */
    private List<String> taxRateFilters;

    /**
     * 机器设备经济使用年数筛选条件
     */
    private List<String> economicServiceLifeFilters;

    /**
     * 机器设备设备类型筛选条件
     */
    private List<String> equipmentTypeFilters;

    /**
     * 机器设备作价方法筛选条件
     */
    private List<String> valuationMethodFilters;

    /**
     * 机器设备运杂费率筛选条件
     */
    private List<String> freightAndMiscellaneousFeeRateFilters;

    /**
     * 机器设备基础费率筛选条件
     */
    private List<String> baseRateFilters;

    /**
     * 机器设备安装费率筛选条件
     */
    private List<String> installationRateFilters;

    /**
     * 机器设备直接观察成新率筛选条件
     */
    private List<String> directObservationDepreciationRateFilters;

    /**
     * 机器设备单价筛选条件
     */
    private List<String> priceFilters;

}
