package com.dayou.dto.report.cr;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * excel里面每一个债务人信息在一个单元格,这个类用来装读取到的所有字符串信息
 */
@Data
public class DebtorInfoStrBO {

    @ExcelProperty("借款人")
    private String name;

    /**
     * DebtorInfo字符串(所有债务人信息在一个excel单元格中,先读出来再分割)
     */
    @ExcelProperty("企业基本信息")
    private String infoStr;

    /**
     * 借款企业现状
     */
    @ExcelProperty("借款企业现状")
    private String statusStr;

    /**
     * 债务人一般受偿能力分析
     */
    @ExcelProperty("债务人一般受偿能力分析")
    private String repaymentCapacityAnalysisStr;

}
