package com.dayou.dto.report.cr;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * excel里面每一个保证人人信息在一个单元格,这个类用来装读取到的所有字符串信息
 */
@Data
public class GuarantorInfoStrBO {

    /**
     * 序号
     */
    private Integer sort;

    @ExcelProperty("保证企业")
    private String name;

    /**
     * 保证人类型(企业/自然人)
     */
    @ExcelProperty("保证人类型")
    private String guarantorType;

    /**
     * DebtorInfo字符串(所有债务人信息在一个excel单元格中,先读出来再分割)
     */
    @ExcelProperty("保证企业基本信息")
    private String infoStr;

    /**
     * 保证企业现状
     */
    @ExcelProperty("保证企业现状")
    private String statusStr;

    /**
     * 补充偿债来源分析
     */
    @ExcelProperty("补充偿债来源分析")
    private String repaymentCapacityAnalysisStr;

}
