package com.dayou.entity;

import com.dayou.common.BaseEntity;

import java.time.LocalDate;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 资产项目测算信息表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AssetsCalculate extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 资产项目id
     */
    private Long projectId;

    /**
     * 测算名
     */
    private String calculateName;

    /**
     * 评估基准日
     */
    private LocalDate valuationBasisDate;

    /**
     * 基础测算信息(json)
     */
    private String baseInfo;

    /**
     * 测算表创建者user_id
     */
    private Long createUserId;

    /**
     * 测算表生成进度(BASE、IMPORT、GENERATE、FINISHED)
     */
    private String progress;


}
