package com.dayou.entity;
import java.math.BigDecimal;
import com.dayou.common.BaseEntity;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-12-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AssetsCalculateEqptNonsData extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 测算数据主表id
     */
    private Long eqptDataId;

    /**
     * 设备编号
     */
    private String eqptCode;

    /**
     * 所属系统/生产线名称
     */
    private String affiliatedSystem;

    /**
     * 主材费/设备报价（含税不含运费不含安装调试费）
     */
    private BigDecimal mainMaterialCost;

    /**
     * 不含主要外购件费的成本主材费率
     */
    private Float mainMaterialCostRate;

    /**
     * 主要外购件费
     */
    private BigDecimal mainPurchasedPartsCost;

    /**
     * 成本利润率
     */
    private Float costProfitRatio;

    /**
     * 销售税金率
     */
    private Float salesTaxRate;

    /**
     * 非标准设备设计费率
     */
    private Float designFeeRate;

    /**
     * 增值税率
     */
    @JsonProperty("VATRate")
    private Float VATRate;

    /**
     * 非标设备估值
     */
    private BigDecimal nonsEqptValue;

    /**
     * 主材1
     */
    private String material1;

    /**
     * 主材2
     */
    private String material2;

    /**
     * 主材1用量
     */
    private Float material1Quantity;

    /**
     * 主材2用量
     */
    private Float material2Quantity;

    /**
     * 主材1利用率%
     */
    private Float material1UseRatio;

    /**
     * 主材2利用率%
     */
    private Float material2UseRatio;

    /**
     * 主材1单价（元/吨）
     */
    private BigDecimal material1Price;

    /**
     * 主材2单价（元/吨）
     */
    private BigDecimal material2Price;

}
