package com.dayou.entity;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 资产项目报告信息表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-12-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AssetsReport extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 资产项目id
     */
    private Long projectId;

    /**
     * 报告名
     */
    private String reportName;

    /**
     * 基础报告信息
     */
    private String baseInfo;

    /**
     * 报告创建者user_id
     */
    private Long createUserId;

    /**
     * 报告生成进度(BASE、GENERATE、FINISHED)
     */
    private String progress;

    /**
     * 关联的测算表id
     */
    private Long calculateId;

    /**
     * 报告号（产品号）
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String productionNo;

}
