package com.dayou.entity;
import com.dayou.common.BaseEntity;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 通用非标准设备估价参数表 General Non-Standard Equipment Valuation Parameters
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-12-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EqptGnEvp extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 设备名称
     */
    private String name;

    /**
     * 成本主材费率上限
     */
    private Double mmcrUpLimit;

    /**
     * 成本主材费率下限
     */
    private Double mmcrLowLimit;

    /**
     * 推荐成本主材费率
     */
    private Double mmcrRecommendedValue;

    /**
     * 成本利润率上限
     */
    private Double cprUpLimit;

    /**
     * 成泵利润率下限
     */
    private Double cprLowLimit;

    /**
     * 推荐成本利润率
     */
    private Double cprRecommendedValue;

    /**
     * 推荐销售税金率
     */
    private Double strRecommendedValue;

    /**
     * 设计费率上限
     */
    private Double dfrUpLimit;

    /**
     * 设计费率下限
     */
    private Double dfrLowLimit;

    /**
     * 推荐设计费率
     */
    private Double drfRecommendedValue;

    /**
     * 备注
     */
    private String remark;


}
