package com.dayou.entity;
import com.dayou.common.BaseEntity;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 设备年限、安装费率参考信息表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EqptLifeIfrRefs extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 类型
     */
    private String type;

    /**
     * 使用年限下限
     */
    private Integer lifeLowLimit;

    /**
     * 使用年限上限
     */
    private Integer lifeUpLimit;

    /**
     * 推荐使用年限
     */
    private Integer lifeRecommendedValue;

    /**
     * 安装费率%上限
     */
    private Integer ifrUpLimit;

    /**
     * 安装费率%下限
     */
    private Integer ifrLowLimit;

    /**
     * 推荐安装费率%
     */
    private Integer ifrRecommendedValue;

    /**
     * 备注
     */
    private String remark;


}
