package com.dayou.entity;
import com.dayou.common.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 机器设备物价指数表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EqptPPI extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 指标名称/频率/单位
     */
    private String ppiName;

    /**
     * 指数行业类型
     */
    private String ppiType;

    /**
     * 指数值(用String避免小数中的0被抹掉)
     */
    private String ppi;


}
