package com.dayou.entity;

import com.dayou.common.BaseEntity;
import lombok.Data;

@Data
public class HouseExcelData extends BaseEntity {

    /**
     * 报告业务类型
     */
    private String businessType;

    /**
     *报告编号
     */
    private String docNo;
    /**
     *报告项目名称
     */
    private String docName;
    /**
     *委托人
     */
    private String consignor;
    /**
     *不动产权利人
     */
    private String owner;
    /**
     *估价师1
     */
    private String appraiser1;
    /**
     *估价师2
     */
    private String appraiser2;
    /**
     *估价师1注册号
     */
    private String appraNo1;
    /**
     *估价师2注册号
     */
    private String appraNo2;
    /**
     *出具报告日期
     */
    private String docDate;
    /**
     *价值时点
     */
    private String valueTiming;
    /**
     *评估方法
     */
    private String workMethod;
    /**
     *估价对象描述1
     */
    private String summary1;
    /**
     *估价对象描述2
     */
    private String summary2;
    /**
     *致函-估价目的
     */
    private String workPurpose;
    /**
     *价值类型
     */
    private String valueType;
    /**
     *特别提示1
     */
    private String expeTip1;
    /**
     *特别提示2
     */
    private String expeTip2;
    /**
     *特别提示3
     */
    private String expeTip3;
    /**
     *特别提示4
     */
    private String expeTip4;
    /**
     *特别提示5
     */
    private String expeTip5;
    /**
     *附件1名称
     */
    private String affix1;
    /**
     *附件2名称
     */
    private String affix2;
    /**
     *附件3名称
     */
    private String affix3;
    /**
     *附件4名称
     */
    private String affix4;
    /**
     *附件5名称
     */
    private String affix5;
    /**
     *附件6名称
     */
    private String affix6;
    /**
     *附件7名称
     */
    private String affix7;
    /**
     *附件8名称
     */
    private String affix8;
    /**
     *声明1
     */
    private String statement1;
    /**
     *声明2
     */
    private String statement2;
    /**
     *声明3
     */
    private String statement3;
    /**
     *声明4
     */
    private String statement4;
    /**
     *声明5
     */
    private String statement5;
    /**
     *一般假设1
     */
    private String normalAssumption1;
    /**
     *一般假设2
     */
    private String normalAssumption2;
    /**
     *一般假设3
     */
    private String normalAssumption3;
    /**
     *一般假设4
     */
    private String normalAssumption4;
    /**
     *一般假设5
     */
    private String normalAssumption5;
    /**
     *一般假设6
     */
    private String normalAssumption6;
    /**
     *一般假设7
     */
    private String normalAssumption7;
    /**
     *一般假设8
     */
    private String normalAssumption8;
    /**
     *一般假设9
     */
    private String normalAssumption9;
    /**
     *一般假设10
     */
    private String normalAssumption10;
    /**
     *未定事项假设1
     */
    private String undefinedAssumption1;
    /**
     *未定事项假设2
     */
    private String undefinedAssumption2;
    /**
     *未定事项假设3
     */
    private String undefinedAssumption3;
    /**
     *未定事项假设4
     */
    private String undefinedAssumption4;
    /**
     *未定事项假设5
     */
    private String undefinedAssumption5;
    /**
     *未定事项假设6
     */
    private String undefinedAssumption6;
    /**
     *不相一致假设1
     */
    private String differentAssumption1;
    /**
     *不相一致假设2
     */
    private String differentAssumption2;
    /**
     *依据不足假设1
     */
    private String deficiencyAssumption1;
    /**
     *依据不足假设2
     */
    private String deficiencyAssumption2;
    /**
     *依据不足假设3
     */
    private String deficiencyAssumption3;
    /**
     *依据不足假设4
     */
    private String deficiencyAssumption4;
    /**
     *依据不足假设5
     */
    private String deficiencyAssumption5;
    /**
     *限制条件1
     */
    private String limitCondition1;
    /**
     *限制条件2
     */
    private String limitCondition2;
    /**
     *限制条件3
     */
    private String limitCondition3;
    /**
     *限制条件4
     */
    private String limitCondition4;
    /**
     *限制条件5
     */
    private String limitCondition5;
    /**
     *限制条件5
     */
    private String limitCondition6;
    /**
     *限制条件7
     */
    private String limitCondition7;
    /**
     *限制条件8
     */
    private String limitCondition8;
    /**
     *使用本报告的一般说明1
     */
    private String normalExplain1;
    /**
     *使用本报告的一般说明2
     */
    private String normalExplain2;
    /**
     *使用本报告的一般说明3
     */
    private String normalExplain3;
    /**
     *使用本报告的一般说明4
     */
    private String normalExplain4;
    /**
     *使用本报告的一般说明5
     */
    private String normalExplain5;
    /**
     *使用本报告的一般说明6
     */
    private String normalExplain6;
    /**
     *使用本报告的一般说明7
     */
    private String normalExplain7;
    /**
     *使用本报告的一般说明8
     */
    private String normalExplain8;
    /**
     *使用本报告的一般说明9
     */
    private String normalExplain9;
    /**
     *估价中的特殊处理事项1
     */
    private String expeHandle1;
    /**
     *估价中的特殊处理事项2
     */
    private String expeHandle2;
    /**
     *估价中的特殊处理事项3
     */
    private String expeHandle3;
    /**
     *估价中的特殊处理事项4
     */
    private String expeHandle4;

    /**
     *委托人类型
     */
    private String consignorType;
    /**
     *委托人住所
     */
    private String consignorAddress;
    /**
     *法定代表人
     */
    private String consignorPerson;
    /**
     *注册资本
     */
    private String consignorMoney;
    /**
     *统一社会信用代码
     */
    private String creditCode;
    /**
     *估价对象及范围
     */
    private String targetScope;
    /**
     *建筑物实物状况
     */
    private String buildingInfo;
    /**
     *土地实物状况
     */
    private String landInfo;
    /**
     *担保物权状况
     */
    private String guarantyInfo;
    /**
     *用益物权状况
     */
    private String remInfo;
    /**
     *租赁或占用情况
     */
    private String rentInfo;
    /**
     *估价对象区位状况
     */
    private String areaInfo;
    /**
     *价值时点描述
     */
    private String valueTimingInfo;
    /**
     *价值内涵1
     */
    private String valueMeaning1;

    /**
     *价值内涵2
     */
    private String valueMeaning2;

    /**
     *价值内涵3
     */
    private String valueMeaning3;

    /**
     *价值内涵4
     */
    private String valueMeaning4;
    /**
     *估价依据1
     */
    private String gist1;
    /**
     *估价依据2
     */
    private String gist2;
    /**
     *估价依据3
     */
    private String gist3;
    /**
     *估价依据4
     */
    private String gist4;
    /**
     *估价原则
     */
    private String principle;
    /**
     *估价结果1
     */
    private String result1;
    /**
     *估价结果3
     */
    private String result3;
    /**
     *估价结果4
     */
    private String result4;
    /**
     *实地查勘期
     */
    private String sceneDate;
    /**
     *估价作业期
     */
    private String workDate;
    /**
     *上传人USER_ID
     */
    private Long uploadUserId;
    /**
     *原始EXCEL资源路径
     */
    private String excelUri;

    /**
     * 已抵押担保的债权数额（万元）
     */
    private String pledgeValue;

    /**
     * 拖欠的建设工程价款（万元）
     */
    private String debtMoney;

    /**
     * 其他法定优先受偿款（万元）
     */
    private String firstMoney;

    /**
     * 合计（万元）
     */
    private String totalMoney;


}
