package com.dayou.entity;

import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = true)
public class HouseGuarantyProcess extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    private Long parentId;

    /**
     * excelId
     */
    private Long excelId;

    /**
     * docHome
     */
    private String home;

    /**
     * 估价结果一览表代码
     */
    private String targetsHtml;

    /**
     * 权属信息表代码
     */
    private String certificatesHtml;

    /**
     * 过程节点
     */
    private String processName;

    /**
     * 过程文档路径
     */
    private String docUrl;

















}
