package com.dayou.entity;
import com.dayou.common.BaseEntity;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 资产测算表模板信息表
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class TmplAssetCalculate extends BaseEntity implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 测算表名字
     */
    private String calculateName;

    /**
     * 模板文件名字
     */
    private String fileName;

    /**
     * 模板文件存储位置
     */
    private String fileUrl;

    /**
     * 测算类型
     */
    private String calculateType;

    /**
     * 二级测算类型(针对细分情况)
     */
    private String calculateSecType;

    /**
     * 是否有段落模板
     */
    private Boolean hasSection;

    /**
     * 模板code
     */
    private String tmplCode;


}
