package com.dayou.entity;


import com.dayou.common.BaseEntity;
import lombok.Data;

import java.io.Serializable;

@Data
public class TmplHouseParagraph extends BaseEntity {

    /**
     * 文档业务类型（抵押、咨询、司法等）
     */
    private String docMold;

    /**
     * 章节
     */
    private String chapter;

    /**
     * 章节内顺序
     */
    private Integer sort;

    /**
     * 段落内容
     */
    private String paragraph;

    /**
     * 段落中变量
     */
    private String variates;

    /**
     * 同组标识
     */
    private String soltMark;

    /**
     * 选用规则
     */
    private String rule;
}
