package com.dayou.enums;

/**
 * 债权报告
 */
public enum CRReportTmplCode {

    ANALYSIS_MAIN("ANALYSIS_MAIN", "债权分析报告-框架-主模板"),
    ANALYSIS_COVER("ANALYSIS_COVER", "债权分析报告-封面-段落模板"),
    ANALYSIS_CATALOGUE("ANALYSIS_CATALOGUE", "债权分析报告-目录-段落模板"),
    ANALYSIS_DETAIL("ANALYSIS_DETAIL", "债权分析报告-正文-段落模板"),
    ANALYSIS_DIGEST("ANALYSIS_DIGEST", "债权分析报告-摘要-段落模板"),
    ANALYSIS_DEBTOR("ANALYSIS_DEBTOR", "债权分析报告-债务人信息-段落模板"),
    ANALYSIS_PERSON_GUARANTOR("ANALYSIS_PERSON_GUARANTOR", "债权分析报告-自然人保证人-段落模板"),
    ANALYSIS_ENTERPRISE_GUARANTOR("ANALYSIS_ENTERPRISE_GUARANTOR", "债权分析报告-企业保证人-段落模板"),
    ANALYSIS_DEBTOR_ASSET("ANALYSIS_DEBTOR_ASSET", "债权分析报告-债务人资产情况-段落模板"),
    ANALYSIS_GUARANTOR_ASSET("ANALYSIS_GUARANTOR_ASSET", "债权分析报告-保证人资产情况-段落模板"),
    ANALYSIS_LAWSUIT("ANALYSIS_LAWSUIT", "债权分析报告-诉讼情况-段落模板"),
    ANALYSIS_GUARANTOR_ADDITIONAL_DEBT_REPAYMENT_SOURCES("ANALYSIS_GUARANTOR_ADDITIONAL_DEBT_REPAYMENT_SOURCES", "债权分析报告-保证人补充偿债来源分析-段落模板");

    private String code;

    private String name;

    CRReportTmplCode(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return name + ":" + code;
    }
    
}
