package com.dayou.enums;

public enum EqptCalculateTmplCode {

    MAIN("MAIN", "机器设备-主模板"),
    MAIN_DETAIL("MAIN_DETAIL", "机器设备-主模板-设备信息-段落模板"),
    MAIN_BOTTOM_TOTAL("MAIN_BOTTOM_TOTAL", "机器设备-主模板-表尾合计-段落模板"),
    IMPORTED("IMPORTED", "机器设备-进口设备-段落模板"),
    NONSTANDARD("NONSTANDARD", "机器设备-非标设备-段落模板"),
    DECLARATION_FORM("DECLARATION_FORM", "机器设备-基础信息导入模板"),;

    private String code;

    private String name;

    EqptCalculateTmplCode(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return name + ":" + code;
    }
}
