package com.dayou.enums;

/**
 * 机器设备融资项目报告
 */
public enum EqptReportTmplCode {

    MAIN("MAIN", "设备融资项目评估报告-框架-主模板"),
    COVER("COVER", "设备融资项目评估报告-封面-段落模板"),
    CATALOGUE("CATALOGUE", "设备融资项目评估报告-目录-段落模板"),
    ATTACHMENTS("ATTACHMENTS", "设备融资项目评估报告-附件-段落模板"),
    DETAIL("DETAIL", "设备融资项目评估报告-正文-段落模板"),
    DIGEST("DIGEST", "设备融资项目评估报告-摘要-段落模板"),
    CONSIGNOR("CONSIGNOR", "设备融资项目评估报告-委托人概况-段落模板"),
    PROPERTY_OWNER("PROPERTY_OWNER", "设备融资项目评估报告-产权持有人概况-段落模板"),
    CONSULT_MAIN("CONSULT_MAIN", "设备融资项目咨询报告-框架-主模板"),
    CONSULT_COVER("CONSULT_COVER", "设备融资项目咨询报告-封面-段落模板"),
    CONSULT_CATALOGUE("CONSULT_CATALOGUE", "设备融资项目咨询报告-目录-段落模板"),
    CONSULT_ATTACHMENTS("CONSULT_ATTACHMENTS", "设备融资项目咨询报告-附件-段落模板"),
    CONSULT_DETAIL("CONSULT_DETAIL", "设备融资项目咨询报告-正文-段落模板"),
    CONSULT_DIGEST("CONSULT_DIGEST", "设备融资项目咨询报告-摘要-段落模板"),
    CONSULT_CONSIGNOR("CONSULT_CONSIGNOR", "设备融资项目咨询报告-委托人概况-段落模板"),
    CONSULT_PROPERTY_OWNER("CONSULT_PROPERTY_OWNER", "设备融资项目咨询报告-产权持有人概况-段落模板");

    private String code;

    private String name;

    EqptReportTmplCode(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return name + ":" + code;
    }
}
