package com.dayou.vo;

import lombok.Data;

import java.time.LocalDate;
import java.util.Date;

@Data
public class AssetsCalculateVO{

    /**
     * 主键自增id
     */
    protected Long id;

    /**
     * 资产项目id
     */
    private Long projectId;

    /**
     * 测算名
     */
    private String calculateName;

    /**
     * 评估基准日
     */
    private LocalDate valuationBasisDate;

    /**
     * 委托人
     */
    private String principal;

    /**
     * 项目类型
     */
    private String projectTypeName;

    /**
     * 测算表生成进度(BASE、IMPORT、GENERATE、FINISHED)
     */
    private String progress;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 文档名称
     */
    private String docName;

    /**
     * 文档路径
     */
    private String docUrl;

}
