package com.dayou.vo;

import lombok.Data;

import java.time.LocalDate;

/**
 * 机器设备融资项目报告引用的机器设备测算表信息
 */
@Data
public class EqptReportReferencesCalculateVO {

    /**
     * 评估基准日
     */
    private LocalDate valuationBasisDate;

    /**
     * 资产项数
     */
    private String assetCount;

    /**
     * 主要设备资产
     */
    private String majorEquipmentAssets;

    /**
     * 购置期间
     */
    private String purchasePeriod;

    /**
     * 最早购置年份
     */
    private String minPurchaseYear;

    /**
     * 最晚购置年份
     */
    private String maxPurchaseYear;

}
