package com.dayou.service;
import com.dayou.dto.AssetsProjectQueryDTO;
import com.dayou.entity.AssetsProject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.AssetsProjectVO;

/**
 * <p>
 * 资产项目基本信息表 服务类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-12
 */
public interface AssetsProjectService extends IService<AssetsProject> {

        /**
         * 获取资产项目列表
         * @param page 分页
         * @param dto 资产项目查询dto
         * @return Page<AssetsProjectVO>
         */
        Page<AssetsProjectVO> getAssetsProject(Page page, AssetsProjectQueryDTO dto);

        AssetsProject detail(Long id);

        Boolean add(AssetsProject assetsProject);

        Boolean update(AssetsProject assetsProject);

        Boolean delete(Long id);

}
