package com.dayou.service;

import com.dayou.entity.EqptLifeIfrRefs;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.EqptLifeIfrRefsVO;

import java.util.List;

/**
 * <p>
 * 设备年限、安装费率参考信息表 服务类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-25
 */
public interface EqptLifeIfrRefsService extends IService<EqptLifeIfrRefs> {

    /**
     * 获取设备参考年限、安装费率
     * @return List<EqptLifeIfrRefsVO>
     */
    List<EqptLifeIfrRefsVO> listAll();

}
