package com.dayou.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dayou.dto.LngLatDTO;
import com.dayou.entity.HouseGuarantyArea;

import java.util.List;

public interface HouseGuarantyAreaService extends IService<HouseGuarantyArea> {

    HouseGuarantyArea getByLngLat(String lngLat);

    List<HouseGuarantyArea> getAreasList(Long id);

    List<HouseGuarantyArea> getAreaInfo(Long excelId);

    LngLatDTO queryLngLat(String address);

    Boolean updateArea(HouseGuarantyArea houseGuarantyArea);
}
