package com.dayou.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dayou.entity.DocumentProduction;
import com.dayou.entity.HouseGuarantyProcess;
import com.dayou.vo.ProcessVO;

import java.util.List;

/**
 * <p>
 * 房地产抵押过程表 服务类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-07
 */
public interface HouseGuarantyProcessService extends IService<HouseGuarantyProcess> {

    HouseGuarantyProcess getHouseGuarantyProcess(Long id);

    List<ProcessVO> getHouseGuarantyProcesses(Long id);

    Boolean houseGuarantyMerge(Long id) throws Exception;
}
