package com.dayou.service.impl;

import com.dayou.entity.EqptGnEvp;
import com.dayou.mapper.EqptGnEvpMapper;
import com.dayou.service.EqptGnEvpService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.vo.EqptGnEvpVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 通用非标准设备估价参数表 General Non-Standard Equipment Valuation Parameters 服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-12-02
 */
@Service
public class EqptGnEvpServiceImpl extends ServiceImpl<EqptGnEvpMapper, EqptGnEvp> implements EqptGnEvpService {

    @Autowired
    private EqptGnEvpMapper eqptGnEvpMapper;

    /**
     * 获取通用非标准设备估价参数表
     * @return List<EqptGnEvp>
     */
    @Override
    public List<EqptGnEvpVO> listAll() {
        return eqptGnEvpMapper.listAll();
    }
}
