package com.dayou.service.impl;

import com.dayou.entity.EqptLifeIfrRefs;
import com.dayou.mapper.EqptLifeIfrRefsMapper;
import com.dayou.service.EqptLifeIfrRefsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.vo.EqptLifeIfrRefsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 设备年限、安装费率参考信息表 服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-25
 */
@Service
public class EqptLifeIfrRefsServiceImpl extends ServiceImpl<EqptLifeIfrRefsMapper, EqptLifeIfrRefs> implements EqptLifeIfrRefsService {

    @Autowired
    EqptLifeIfrRefsMapper eqptLifeIfrRefsMapper;

    /**
     * 获取设备参考年限、安装费率
     * @return List<EqptLifeIfrRefsVO>
     */
    @Override
    public List<EqptLifeIfrRefsVO> listAll() {
        return eqptLifeIfrRefsMapper.listAll();
    }
}
