package com.dayou.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.common.BaseEntity;
import com.dayou.entity.GlobalConfig;
import com.dayou.mapper.GlobalConfigMapper;
import com.dayou.service.GlobalConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class GlobalConfigServiceImpl extends ServiceImpl<GlobalConfigMapper, GlobalConfig> implements GlobalConfigService {

    @Autowired
    private GlobalConfigMapper globalConfigMapper;

    @Override
    public List<GlobalConfig> getByType(String type) {
        return globalConfigMapper.getByType(type);
    }
}
