package com.dayou.service.impl;

import com.dayou.entity.SysDictType;
import com.dayou.mapper.SysDictTypeMapper;
import com.dayou.service.SysDictTypeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 字典类型表 服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-11-12
 */
@Service
public class SysDictTypeServiceImpl extends ServiceImpl<SysDictTypeMapper, SysDictType> implements SysDictTypeService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<SysDictType> selectPage(Page page,SysDictType sysDictType){
        return this.page(page, new QueryWrapper<SysDictType>(sysDictType));
    }


    @Override
    public SysDictType detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(SysDictType sysDictType){
        return  this.save(sysDictType);
    }

    @Override
    public Boolean update(SysDictType sysDictType){
        return  this.updateById(sysDictType);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }
}
